VisualEditor: Clicking on "Make full size" switches to Custom tab, keeping the default size and not making it full size on the first attempt for all kind of images
Closed, ResolvedPublic

Description

Steps to reproduce:

1.Open a page with VE
2.Insert an image
3.Open the Media Settings dialog for the image
4.Go to Advanced Settings tab
5.Click on "Make full size"

Observed Result:
It switches to the Custom tab and keeps the size value as default instead of making it full size.

Environment:Betalabs,test2, en.wiki


Version: unspecified
Severity: normal

bzimport set Reference to bz66863.
Ryasmeen created this task.Via LegacyJun 19 2014, 11:51 PM
gerritbot added a comment.Via ConduitJun 26 2014, 12:44 AM

Change 142171 had a related patch set uploaded by Mooeypoo:
Correctly update full size in MediaSizeWidget

https://gerrit.wikimedia.org/r/142171

gerritbot added a comment.Via ConduitJun 26 2014, 1:17 AM

Change 142171 merged by jenkins-bot:
Correctly update full size in MediaSizeWidget

https://gerrit.wikimedia.org/r/142171

Ryasmeen added a comment.Via ConduitJun 27 2014, 9:01 PM

Verified the fix in betalabs

Ryasmeen added a comment.Via ConduitJun 27 2014, 9:06 PM

We need to backport the fix for this one,it did not make it to test2.

gerritbot added a comment.Via ConduitJun 29 2014, 12:23 AM

Change 142855 had a related patch set uploaded by Jforrester:
Update VisualEditor to Iba4e6b32

https://gerrit.wikimedia.org/r/142855

gerritbot added a comment.Via ConduitJun 30 2014, 3:31 PM

Change 142855 merged by jenkins-bot:
Update VisualEditor to Iba4e6b32

https://gerrit.wikimedia.org/r/142855

Jdforrester-WMF added a comment.Via ConduitJun 30 2014, 4:01 PM

Backported to wmf11 and working great.

Ryasmeen added a comment.Via ConduitJun 30 2014, 6:27 PM

Verified the fix on test2

Ryasmeen added a comment.Via ConduitJul 7 2014, 8:28 PM

Its changing the size value in the dialog but after clicking on "Apply Changes" button it is not making it full size.So, reopening it .

gerritbot added a comment.Via ConduitJul 8 2014, 5:42 AM

Change 144637 had a related patch set uploaded by Mooeypoo:
Apply 'original size' to images

https://gerrit.wikimedia.org/r/144637

gerritbot added a comment.Via ConduitJul 8 2014, 5:45 AM

Change 144638 had a related patch set uploaded by Mooeypoo:
Apply 'original size' to images and enable apply button in ve-MW

https://gerrit.wikimedia.org/r/144638

gerritbot added a comment.Via ConduitJul 8 2014, 5:55 PM

Change 144638 merged by jenkins-bot:
Apply 'original size' to images and enable apply button in ve-MW

https://gerrit.wikimedia.org/r/144638

gerritbot added a comment.Via ConduitJul 8 2014, 5:55 PM

Change 144637 merged by jenkins-bot:
Apply 'original size' to images

https://gerrit.wikimedia.org/r/144637

Ryasmeen added a comment.Via ConduitJul 9 2014, 12:21 AM

Verified the fix in Betalabs

Ryasmeen added a comment.Via ConduitJul 10 2014, 11:56 PM

Verified the fix in test2

Ryasmeen added a comment.Via ConduitJul 17 2014, 7:36 PM

Verified the fix in production

Add Comment